summary refs log tree commit diff
path: root/contrib/scripts/nm-ci-run.sh
diff options
context:
space:
mode:
authorMichael Biebl <biebl@debian.org>2025-08-01 19:15:13 +0200
committerMichael Biebl <biebl@debian.org>2025-08-01 19:15:13 +0200
commit7e9091a5960f67a84787c03153324915220e4816 (patch)
treedc743de962532932ebc3b4ed3a36ddd093d97d68 /contrib/scripts/nm-ci-run.sh
parent582eb4472a0f3375042afb9026cbeb50e058a27d (diff)
New upstream version 1.54.0 upstream/1.54.0
Diffstat (limited to 'contrib/scripts/nm-ci-run.sh')
-rwxr-xr-xcontrib/scripts/nm-ci-run.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/contrib/scripts/nm-ci-run.sh b/contrib/scripts/nm-ci-run.sh
index 3864620f..4881d110 100755
--- a/contrib/scripts/nm-ci-run.sh
+++ b/contrib/scripts/nm-ci-run.sh
@@ -54,10 +54,15 @@ _WITH_WERROR=1
 _WITH_LIBTEAM="true"
 _WITH_DOCS="true"
 _WITH_SYSTEMD_LOGIND="true"
+_WITH_NBFT="true"
 if [ $IS_ALPINE = 1 ]; then
     _WITH_SYSTEMD_LOGIND="false"
 fi
 
+if ! pkgconf 'libnvme >= 1.5'; then
+    _WITH_NBFT="false"
+fi
+
 if [ -z "${NMTST_SEED_RAND+x}" ]; then
     NMTST_SEED_RAND="$SRANDOM"
     if [ -z "$NMTST_SEED_RAND" ]; then
@@ -181,6 +186,8 @@ meson setup build \
     -D ifcfg_rh=false \
     -D ifupdown=true \
     \
+    -D nbft=$_WITH_NBFT \
+    \
     #end
 
 export NM_TEST_CLIENT_CHECK_L10N=1